#!/usr/bin/env bash
# designed for ubuntu 20
set -ex
export DEBIAN_FRONTEND=noninteractive
sudo apt -y install software-properties-common
sudo add-apt-repository ppa:ondrej/php -y
sudo apt-get update
# curl dep for cf-remote, not required but avoids an error
sudo apt-get install -y \
  acl \
  curl \
  default-jre \
  firefox \
  php8.2-cli \
  php8.2-curl \
  php8.2-gd \
  php8.2-ldap \
  php8.2-mbstring \
  php8.2-mysql \
  php8.2-pgsql \
  php8.2-xdebug \
  php8.2-xml \
  php8.2-zip \
  sudo \
  systemd \
  wget \
  xvfb
if [ ! -f /usr/local/bin/composer ]; then
  wget https://getcomposer.org/installer
  sudo php installer --install-dir=/usr/local/bin --filename=composer
  rm installer
fi

cat <<EOF | sudo tee /etc/systemd/system/xvfb.service
[Unit]
Description=X Virtual Frame Buffer Service

[Service]
Environment="DISPLAY=:1"
ExecStart=/usr/bin/Xvfb :1 -screen 0 1920x1080x16
StandardOutput=append:/var/log/xvfb.log
StandardError=append:/var/log/xvfb.log

[Install]
WantedBy=multi-user.target
EOF

ls -l $(which firefox)
firefox --version

pushd /opt
# maybe in ubu20 we don't need to install a different firefox? it just comes with a recent enough one!?
#wget -q -O - "https://download.mozilla.org/?product=firefox-latest&os=linux64&lang=en-US" | tar -xvj
#ln -s $PWD/firefox/firefox /usr/bin/firefox
#cd firefox
wget -q -O - "https://github.com/mozilla/geckodriver/releases/download/v0.33.0/geckodriver-v0.33.0-linux64.tar.gz" | sudo tar -xvz
sudo ln -sf $PWD/geckodriver /usr/bin/geckodriver
